COMPATIBILITY:

FSX, FSX-Steam, P3D v.3.xx, P3D v.4.xx+

Hi , dear user EZCA. 

It's time to make a release of version 2.8 which is compatible with the version of P3D 4.5 and the latest version of ActiveSky is also supported.
Download version EZCA 2.8.1 (P3D 4.5)...

We also updated the beta version of EZCA V3 Build 66. which compatible with Latest version of Active Sky. 

 you can Download EZCA 3.0.66.0 here...: